Bug 106557 - [PATCH] Make USE_PHP work after inclusion of bsd.port.pre.mk
Summary: [PATCH] Make USE_PHP work after inclusion of bsd.port.pre.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-10 11:30 UTC by Alex Dupre
Modified: 2007-03-06 07:32 UTC (History)
0 users

See Also:


Attachments
file.diff (17.02 KB, patch)
2006-12-10 11:30 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2006-12-10 11:30:10 UTC
Currently USE_PHP must be defined before inclusion of bsd.port.pre.mk.
Since sometimes it's useful to add php or php extensions after it
(for example according to OPTIONS selection) many ports do ugly tricks
to overcome this limitation. The patch tries to fix the issue in a clean
and definitive way.
Since I touched bsd.port.mk, bsd.php.mk and a few ports, I think the
patch should be run on tinderbox before committing it.

Fix: Patch attached with submission follows:
Comment 1 Alex Dupre freebsd_committer 2006-12-10 11:31:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Assign to portmgr for testing / approving the patch.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-02-25 06:55:41 UTC
State Changed
From-To: open->analyzed

Accepted for a test build on the cluster.
Comment 3 dfilter service freebsd_committer 2007-03-06 06:21:53 UTC
linimon     2007-03-06 06:21:46 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.java.mk bsd.port.mk bsd.php.mk 
    .                    CHANGES UPDATING 
  Log:
  * Refine some comments about Linux emulation [1]
  
  * Fix 'make search' with non-default ${PORTSDIR} [2]
  
  * Fix typo in USE_LDCONFIG32 message [3]
  
  * Allow USE_PHP after inclusion of bsd.port.pre.mk [4]
  
  * Document NO_LDCONFIG_MTREE [5]
  
  * Update/enhance description of INSTALLS_SHLIB and USE_LDCONFIG [6]
  
  * Remove obsolete code in bsd.port.mk dealing with 4.X and other,
    even older, releases [7]
  
  * Remove references to obsolete ports from bsd.java.mk [8]
  
  PR:     105883 [1], 105917 [2], 106195 [3], 106557 [4], 108738 [5],
          108739 [6], 108782 [7], 103357 [8]
  
  Submitted by:   bsam [1], shaun [2], edwin [3], ale [4], gerald [5] [6],
                  linimon [7], kris [7], gabor [4]
  
  Revision  Changes    Path
  1.66      +12 -1     ports/CHANGES
  1.76      +4 -11     ports/Mk/bsd.java.mk
  1.40      +8 -2      ports/Mk/bsd.php.mk
  1.555     +8 -116    ports/Mk/bsd.port.mk
  1.475     +8 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2007-03-06 06:28:06 UTC
linimon     2007-03-06 06:28:02 UTC

  FreeBSD ports repository

  Modified files:
    mail/roundcube       Makefile 
  Log:
  Use the new facility of bsd.port.mk to be able to simplify the interaction
  of USE_PHP and OPTIONS.
  
  PR:             ports/106557
  Submitted by:   ale
  Hat:            portmgr
  
  Revision  Changes    Path
  1.33      +3 -15     ports/mail/roundcube/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-03-06 06:51:57 UTC
linimon     2007-03-06 06:51:51 UTC

  FreeBSD ports repository

  Modified files:
    mail/postfixadmin    Makefile 
    ports-mgmt/tinderbox Makefile 
    print/cups-base      Makefile 
    security/base        Makefile 
    sysutils/pear-Log    Makefile 
    www/bacula-web       Makefile 
    www/drupal           Makefile 
    www/mediawiki        Makefile 
    www/mediawiki16      Makefile 
    www/mediawiki17      Makefile 
    www/ojs2             Makefile 
    www/phpwiki13        Makefile 
    www/serendipity      Makefile 
    www/serendipity-devel Makefile 
    www/typo3            Makefile 
    www/webcalendar      Makefile 
    www/zend-framework   Makefile 
  Log:
  Use the new facility of bsd.port.mk to be able to simplify the interaction
  of USE_PHP and OPTIONS.
  
  PR:             ports/106557
  Submitted by:   ale
  Hat:            portmgr
  
  Revision  Changes    Path
  1.25      +0 -2      ports/mail/postfixadmin/Makefile
  1.31      +0 -4      ports/ports-mgmt/tinderbox/Makefile
  1.64      +1 -1      ports/print/cups-base/Makefile
  1.16      +0 -3      ports/security/base/Makefile
  1.36      +3 -10     ports/sysutils/pear-Log/Makefile
  1.2       +3 -4      ports/www/bacula-web/Makefile
  1.34      +1 -3      ports/www/drupal/Makefile
  1.36      +0 -3      ports/www/mediawiki/Makefile
  1.36      +0 -3      ports/www/mediawiki16/Makefile
  1.36      +0 -3      ports/www/mediawiki17/Makefile
  1.4       +0 -2      ports/www/ojs2/Makefile
  1.22      +4 -17     ports/www/phpwiki13/Makefile
  1.24      +5 -22     ports/www/serendipity-devel/Makefile
  1.16      +5 -21     ports/www/serendipity/Makefile
  1.13      +0 -3      ports/www/typo3/Makefile
  1.10      +0 -3      ports/www/webcalendar/Makefile
  1.5       +3 -8      ports/www/zend-framework/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2007-03-06 06:54:22 UTC
linimon     2007-03-06 06:54:19 UTC

  FreeBSD ports repository

  Modified files:
    www/horde-base       Makefile 
  Log:
  Use the new facility of bsd.port.mk to be able to simplify the interaction
  of USE_PHP and OPTIONS.
  
  PR:             ports/106557
  Submitted by:   ale
  Hat:            portmgr
  
  Revision  Changes    Path
  1.49      +0 -2      ports/www/horde-base/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2007-03-06 07:32:03 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.